/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Holder of the bank account.
 */
@ApiModel(description = "Holder of the bank account.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model251 {
  @SerializedName("person")
  private Model238 person = null;

  @SerializedName("address")
  private Model249 address = null;

  @SerializedName("phone")
  private Model250 phone = null;

  @SerializedName("registrations")
  private Model242 registrations = null;

  @SerializedName("holder_type")
  private String holderType = null;

  @SerializedName("relationship")
  private String relationship = null;

  @SerializedName("is_politically_exposed")
  private Boolean isPoliticallyExposed = null;

  @SerializedName("profession")
  private String profession = null;

  @SerializedName("monthly_income")
  private Model243 monthlyIncome = null;

  public Model251 person(Model238 person) {
    this.person = person;
    return this;
  }

   /**
   * Get person
   * @return person
  **/
  @ApiModelProperty(required = true, value = "")
  public Model238 getPerson() {
    return person;
  }

  public void setPerson(Model238 person) {
    this.person = person;
  }

  public Model251 address(Model249 address) {
    this.address = address;
    return this;
  }

   /**
   * Get address
   * @return address
  **/
  @ApiModelProperty(required = true, value = "")
  public Model249 getAddress() {
    return address;
  }

  public void setAddress(Model249 address) {
    this.address = address;
  }

  public Model251 phone(Model250 phone) {
    this.phone = phone;
    return this;
  }

   /**
   * Get phone
   * @return phone
  **/
  @ApiModelProperty(required = true, value = "")
  public Model250 getPhone() {
    return phone;
  }

  public void setPhone(Model250 phone) {
    this.phone = phone;
  }

  public Model251 registrations(Model242 registrations) {
    this.registrations = registrations;
    return this;
  }

   /**
   * Get registrations
   * @return registrations
  **/
  @ApiModelProperty(required = true, value = "")
  public Model242 getRegistrations() {
    return registrations;
  }

  public void setRegistrations(Model242 registrations) {
    this.registrations = registrations;
  }

  public Model251 holderType(String holderType) {
    this.holderType = holderType;
    return this;
  }

   /**
   * Role played by the holder of the bank account in this reimbursement (beneficiary, intermediary, ...).
   * @return holderType
  **/
  @ApiModelProperty(required = true, value = "Role played by the holder of the bank account in this reimbursement (beneficiary, intermediary, ...).")
  public String getHolderType() {
    return holderType;
  }

  public void setHolderType(String holderType) {
    this.holderType = holderType;
  }

  public Model251 relationship(String relationship) {
    this.relationship = relationship;
    return this;
  }

   /**
   * Relationship between the bank account holder / beneficiary and the claim&#39;s affected person.
   * @return relationship
  **/
  @ApiModelProperty(value = "Relationship between the bank account holder / beneficiary and the claim's affected person.")
  public String getRelationship() {
    return relationship;
  }

  public void setRelationship(String relationship) {
    this.relationship = relationship;
  }

  public Model251 isPoliticallyExposed(Boolean isPoliticallyExposed) {
    this.isPoliticallyExposed = isPoliticallyExposed;
    return this;
  }

   /**
   * Does the bank account holder work for the government or for a company that works for the government? Remark: This field may be required for some countries (such as Brasil). Please apply the current legislation.
   * @return isPoliticallyExposed
  **/
  @ApiModelProperty(value = "Does the bank account holder work for the government or for a company that works for the government? Remark: This field may be required for some countries (such as Brasil). Please apply the current legislation.")
  public Boolean isIsPoliticallyExposed() {
    return isPoliticallyExposed;
  }

  public void setIsPoliticallyExposed(Boolean isPoliticallyExposed) {
    this.isPoliticallyExposed = isPoliticallyExposed;
  }

  public Model251 profession(String profession) {
    this.profession = profession;
    return this;
  }

   /**
   * Profession of the bank account holder. Remark: This field may be required for some countries (such as Brasil). Please apply the current legislation.
   * @return profession
  **/
  @ApiModelProperty(value = "Profession of the bank account holder. Remark: This field may be required for some countries (such as Brasil). Please apply the current legislation.")
  public String getProfession() {
    return profession;
  }

  public void setProfession(String profession) {
    this.profession = profession;
  }

  public Model251 monthlyIncome(Model243 monthlyIncome) {
    this.monthlyIncome = monthlyIncome;
    return this;
  }

   /**
   * Get monthlyIncome
   * @return monthlyIncome
  **/
  @ApiModelProperty(value = "")
  public Model243 getMonthlyIncome() {
    return monthlyIncome;
  }

  public void setMonthlyIncome(Model243 monthlyIncome) {
    this.monthlyIncome = monthlyIncome;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model251 model251 = (Model251) o;
    return Objects.equals(this.person, model251.person) &&
        Objects.equals(this.address, model251.address) &&
        Objects.equals(this.phone, model251.phone) &&
        Objects.equals(this.registrations, model251.registrations) &&
        Objects.equals(this.holderType, model251.holderType) &&
        Objects.equals(this.relationship, model251.relationship) &&
        Objects.equals(this.isPoliticallyExposed, model251.isPoliticallyExposed) &&
        Objects.equals(this.profession, model251.profession) &&
        Objects.equals(this.monthlyIncome, model251.monthlyIncome);
  }

  @Override
  public int hashCode() {
    return Objects.hash(person, address, phone, registrations, holderType, relationship, isPoliticallyExposed, profession, monthlyIncome);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model251 {\n");
    
    sb.append("    person: ").append(toIndentedString(person)).append("\n");
    sb.append("    address: ").append(toIndentedString(address)).append("\n");
    sb.append("    phone: ").append(toIndentedString(phone)).append("\n");
    sb.append("    registrations: ").append(toIndentedString(registrations)).append("\n");
    sb.append("    holderType: ").append(toIndentedString(holderType)).append("\n");
    sb.append("    relationship: ").append(toIndentedString(relationship)).append("\n");
    sb.append("    isPoliticallyExposed: ").append(toIndentedString(isPoliticallyExposed)).append("\n");
    sb.append("    profession: ").append(toIndentedString(profession)).append("\n");
    sb.append("    monthlyIncome: ").append(toIndentedString(monthlyIncome)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

